| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Domain Code

Domain Code Definitions and Methods. More...

## Classes
struct | unsp__DomainCodeIdentification
| Domain Code Identification. More...
struct | unsp__DomainCodeData
| Domain Code Data. More...
struct | unsp__CreateDomainCodeRequest
| Create Domain Code request. More...
struct | unsp__CreateDomainCodeResult
| Create Domain Code result. More...
struct | unsp__ModifyDomainCodeRequest
| Modify Domain Code request. More...
struct | unsp__ModifyDomainCodeResult
| Modify Domain Code result. More...
struct | unsp__DeleteDomainCodeRequest
| Delete Domain Code request. More...
struct | unsp__DeleteDomainCodeResult
| Delete Domain Code result. More...
struct | unsp__DomainCodeInfo
| Domain Code Information. More...
struct | unsp__DomainCodeList
| Domain Code List. More...
struct | unsp__QueryDomainCodeRequest
| Query Domain Code request. More...
struct | unsp__QueryDomainCodeResult
| Query Domain Code result. More...
struct | unsp__QueryResponsibleDomainsRequest
| Query Responsible Domains request. More...
struct | unsp__ResponsibleDomain
| Responsible Domain. More...
struct | unsp__ResponsibleDomainsList
| Responsible Domains List. More...
struct | unsp__QueryResponsibleDomainsResult
| Query Responsible Domains result. More...

## Enumerations
enum | unsp__DomainCodePrefixType { DCPrefixTypeOnNetAccess, DCPrefixTypeOffNetAccess }
| Domain Code Prefix Type. More...
enum | unsp__DomainCodeRedirectTo { DCRedirectToNone, DCRedirectToCommonNP, DCRedirectToGlobalNP }
| Indicates whether the Domain Code supports delegating the translation from a BG's private numbering plan to the BG's common numbering plan or the global numbering plan. More...
enum | unsp__DomainCodeDestinationType { DCDestTypeNone, DCDestTypeDestination, DCDestTypeIntercept, DCDestTypeRestrictedCode, DCDestTypeFallbackToLocalNP }
| Domain Code Destination Type. More...
enum | unsp__ResponsibleDomainType { RespDomainTypeIP, RespDomainTypeIPv6, RespDomainTypeFQDN, RespDomainTypeDNSSrv }
| Responsible Domain Type. More...

## Functions
int | unsp__CreateDomainCode (struct unsp__CreateDomainCodeRequest CreateDomainCodeRequest, struct unsp__CreateDomainCodeResult *CreateDomainCodeResult)
| This method creates a Domain Code. More...
int | unsp__ModifyDomainCode (struct unsp__ModifyDomainCodeRequest ModifyDomainCodeRequest, struct unsp__ModifyDomainCodeResult *ModifyDomainCodeResult)
| This method modifies a Domain Code. More...
int | unsp__DeleteDomainCode (struct unsp__DeleteDomainCodeRequest DeleteDomainCodeRequest, struct unsp__DeleteDomainCodeResult *DeleteDomainCodeResult)
| This method deletes a Domain Code. More...
int | unsp__QueryDomainCode (struct unsp__QueryDomainCodeRequest QueryDomainCodeRequest, struct unsp__QueryDomainCodeResult *QueryDomainCodeResult)
| This method retreives the list of Domain Codes. More...
int | unsp__QueryResponsibleDomains (struct unsp__QueryResponsibleDomainsRequest QueryResponsibleDomainsRequest, struct unsp__QueryResponsibleDomainsResult *QueryResponsibleDomainsResult)
| This method retrieves the list of the domains that Openscape Voice is configured to be responsible for. More...

## Detailed Description

Domain Code Definitions and Methods.

Domain Codes allow an administrator to link a code (alphanumeric SIP URI, domain name or partial domain name) with a Destination, an Intercept, an Invalid Code or Fallback to Local Numbering Plan.
Configuring Fallback to Local Numbering Plan allows an administrator to purposely fail translation in the common or global numbering plan in order to invoke the fallback destination of a private numbering plan domain code. The Domain Codes are supported by the BG private numbering plans, the BG common numbering plans and the global numbering plan.

- Domain Codes support limiting applicability of entries based on Routing Areas and Classes of Service.
- Domain Codes support assigning a prefix type to an entry. Allowed prefix types are: On-net Access, Off-net Access. This distinction is required for features like authorization codes that depend on the prefix type to trigger the feature execution.
- Domain Codes support assigning a traffic type to an entry. Allowed traffic types are any of the defined traffic types in Global Translation and Routing and None. This allows administrators to activate the Toll Restriction Service to restrict access to certain domains for domain-dialed calls. Authorization Codes, account codes and call forwarding restrictions are supported as well.
- Domain Codes support delegating the translation from a BG's private numbering plan to the BG's common numbering plan or the global numbering plan.
- Domain Codes support delegating the translation from a BG's common numbering plan to the global numbering plan.
- Domain Codes support transitioning an alphanumeric SIP URI to a number and request retranslation of the number (same as Code Processing table).
  * Retranslation shall occur in the Prefix Access Codes table of the calling party's private numbering plan (i.e. only numbers with unknown nature of address can be entered).

Allowed codes within the Domain Code table are:

- Fully Qualified Domain Names. If the hostport of the URI contains a hostname. (E.g. acme.com in peter.nosp@m.@acm.nosp@m.e.com).
- Domain names. If the hostport of the URI contains a hostname. The domain name part must match the last domain labels or the top label of the hostname of the URI. The syntax for this type of code is to precede the domain name with the string "*.". (E.g. *.com matches peter.nosp@m.@acm.nosp@m.e.com).
- IPv4 Address. If the hostport of the URI contains an IPv4Address. (E.g. 192.168.0.15 matches peter.nosp@m.@192.nosp@m..168..nosp@m.0.15). The IPv4 address in the received URI shall be normalized before the verification.
- IPv6 Address or Reference. If the hostport of the URI contains an IPv6Reference. (E.g. 2001:0db8:85a3::8a2e:0370:7334 matches peter@[2001:0db8:85a3::8a2e:0370:7334]). The IPv6 reference in the received URI shall be normalized before the verification.
  * Alphanumeric SIP URI. The entire alphanumeric SIP URI must match. These codes always contain a userinfo part in addition to the hostport of the URI. The userinfo part always ends on the "@" character. Retranslation is supported for these codes. A special alphanumeric SIP URI is #@hostport which serves to indicate any numeric SIP URI (i.e. a SIP URI for which the userinfo part only contains numeric information (such as '+', '*', '#', 0-9).

Hostnames, IPv4 Addresses or IPv6 Addresses/References of codes entered by the administrator are always normalized prior to storage in shared memory. It is not allowed to enter different formats of the same hostname, IPv4 address, IPv6 address/reference, routing area and class of service combination.
Hostname normalization consists of converting the uppercase characters to lowercase characters. All code matches within the domain codes table are therefore case-insensitive. Any of the hostnames, addresses or alphanumeric SIP URIs may be followed by a specific port. If no port is specified then the entry applies to all 65535 ports.

## Enumeration Type Documentation

## ◆ unsp__DomainCodeDestinationType

enum unsp__DomainCodeDestinationType

Domain Code Destination Type.

Enumerator
DCDestTypeNone | None.
DCDestTypeDestination | None.
DCDestTypeIntercept | Intercept.
DCDestTypeRestrictedCode | Restricted Code.
DCDestTypeFallbackToLocalNP | Fallback to Local Number Plan.

## ◆ unsp__DomainCodePrefixType

enum unsp__DomainCodePrefixType

Domain Code Prefix Type.

Enumerator
DCPrefixTypeOnNetAccess | On-net Access.
DCPrefixTypeOffNetAccess | Off-net Access.

## ◆ unsp__DomainCodeRedirectTo

enum unsp__DomainCodeRedirectTo

Indicates whether the Domain Code supports delegating the translation from a BG's private numbering plan to the BG's common numbering plan or the global numbering plan.

Enumerator
DCRedirectToNone | None.
DCRedirectToCommonNP | Redirect to Common Number Plan.
DCRedirectToGlobalNP | Redirect to Global Number Plan.

## ◆ unsp__ResponsibleDomainType

enum unsp__ResponsibleDomainType

Responsible Domain Type.

Enumerator
RespDomainTypeIP | IPv4 Address.
RespDomainTypeIPv6 | IPv6 Address.
RespDomainTypeFQDN | Fully Qualified Domain Name.
RespDomainTypeDNSSrv | DNS SRV.

## Function Documentation

## ◆ unsp__CreateDomainCode()

unsp__CreateDomainCode | ( | struct unsp__CreateDomainCodeRequest | CreateDomainCodeRequest,
|  | struct unsp__CreateDomainCodeResult * | CreateDomainCodeResult
| ) |  |

This method creates a Domain Code.

Parameters

  CreateDomainCodeRequest | API request
  CreateDomainCodeResult | API result MP2 command: CDomainCode [Attributes]

## ◆ unsp__DeleteDomainCode()

unsp__DeleteDomainCode | ( | struct unsp__DeleteDomainCodeRequest | DeleteDomainCodeRequest,
|  | struct unsp__DeleteDomainCodeResult * | DeleteDomainCodeResult
| ) |  |

This method deletes a Domain Code.

Parameters

  DeleteDomainCodeRequest | API request
  DeleteDomainCodeResult | API result MP2 command: DDomainCode [Attributes]

## ◆ unsp__ModifyDomainCode()

unsp__ModifyDomainCode | ( | struct unsp__ModifyDomainCodeRequest | ModifyDomainCodeRequest,
|  | struct unsp__ModifyDomainCodeResult * | ModifyDomainCodeResult
| ) |  |

This method modifies a Domain Code.

Parameters

  ModifyDomainCodeRequest | API request
  ModifyDomainCodeResult | API result MP2 command: MDomainCode [Attributes]

## ◆ unsp__QueryDomainCode()

unsp__QueryDomainCode | ( | struct unsp__QueryDomainCodeRequest | QueryDomainCodeRequest,
|  | struct unsp__QueryDomainCodeResult * | QueryDomainCodeResult
| ) |  |

This method retreives the list of Domain Codes.

Parameters

  QueryDomainCodeRequest | API request
  QueryDomainCodeResult | API result

## ◆ unsp__QueryResponsibleDomains()

unsp__QueryResponsibleDomains | ( | struct unsp__QueryResponsibleDomainsRequest | QueryResponsibleDomainsRequest,
|  | struct unsp__QueryResponsibleDomainsResult * | QueryResponsibleDomainsResult
| ) |  |

This method retrieves the list of the domains that Openscape Voice is configured to be responsible for.

Parameters

  QueryResponsibleDomainsRequest | API request
  QueryResponsibleDomainsResult | API result